diff --git a/test/integration/run_approve_test.rb b/test/integration/run_approve_test.rb
index 4feacc0..1625771 100644
--- a/test/integration/run_approve_test.rb
+++ b/test/integration/run_approve_test.rb
@@ -11,7 +11,7 @@ class RunApproveTest < Minitest::Test
     capture_io { Hive::Commands::Init.new(dir).call }
     project = File.basename(dir)
     capture_io { Hive::Commands::New.new(project, text).call }
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
     [ project, inbox, File.basename(inbox) ]
   end
 
@@ -27,18 +27,18 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
 
         capture_io { Hive::Commands::Approve.new(slug).call }
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug)),
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug)),
                "task must have moved into 3-plan"
         refute File.exist?(brainstorm), "old folder must be gone"
 
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{\Ahive: 2-brainstorm/.* approve 2-brainstorm -> 3-plan\z}, log,
                      "hive_commit must record the approval")
       end
@@ -58,7 +58,7 @@ class RunApproveTest < Minitest::Test
         assert_includes err, ":review_complete"
 
         capture_io { Hive::Commands::Approve.new(slug, force: true).call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "2-brainstorm", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "2-brainstorm", slug))
       end
     end
   end
@@ -67,15 +67,15 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(File.dirname(execute_dir))
         FileUtils.mv(inbox, execute_dir)
         write_marker(execute_dir, :execute_waiting, findings_count: 3, pass: 1)
 
         capture_io { Hive::Commands::Approve.new(slug, to: "3-plan").call }
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug))
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug))
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{approve 4-execute -> 3-plan}, log)
       end
     end
@@ -85,14 +85,14 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        plan_dir = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan_dir = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(File.dirname(plan_dir))
         FileUtils.mv(inbox, plan_dir)
         write_marker(plan_dir, :complete)
 
         capture_io { Hive::Commands::Approve.new(slug, to: "execute").call }
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "4-execute", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "4-execute", slug))
       end
     end
   end
@@ -101,14 +101,14 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(File.dirname(review_dir))
         FileUtils.mv(inbox, review_dir)
         write_marker(review_dir, :review_complete, pass: 1, browser: :skipped)
 
         capture_io { Hive::Commands::Approve.new(slug).call }
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "7-finalize", slug)),
+        assert File.directory?(File.join(dir, ".hive", "stages", "7-finalize", slug)),
                "review-complete task must have moved into 7-finalize"
       end
     end
@@ -119,13 +119,13 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
 
         capture_io { Hive::Commands::Approve.new(brainstorm).call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug))
       end
     end
   end
@@ -184,8 +184,8 @@ class RunApproveTest < Minitest::Test
           capture_io { Hive::Commands::Init.new(dir2).call }
           slug = "shared-slug-260424-aaaa"
           [ dir1, dir2 ].each do |d|
-            FileUtils.mkdir_p(File.join(d, ".hive-state", "stages", "1-inbox", slug))
-            File.write(File.join(d, ".hive-state", "stages", "1-inbox", slug, "idea.md"),
+            FileUtils.mkdir_p(File.join(d, ".hive", "stages", "1-inbox", slug))
+            File.write(File.join(d, ".hive", "stages", "1-inbox", slug, "idea.md"),
                        "# x\n<!-- WAITING -->\n")
           end
 
@@ -195,7 +195,7 @@ class RunApproveTest < Minitest::Test
           assert_includes err, "--project"
 
           capture_io { Hive::Commands::Approve.new(slug, force: true, project: File.basename(dir1)).call }
-          assert File.directory?(File.join(dir1, ".hive-state", "stages", "2-brainstorm", slug))
+          assert File.directory?(File.join(dir1, ".hive", "stages", "2-brainstorm", slug))
         end
       end
     end
@@ -209,7 +209,7 @@ class RunApproveTest < Minitest::Test
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
         # Manually plant a stale leftover at a second stage.
-        leftover = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        leftover = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(leftover)
         File.write(File.join(leftover, "plan.md"), "stale\n")
 
@@ -220,7 +220,7 @@ class RunApproveTest < Minitest::Test
 
         # Folder-path target disambiguates and works.
         capture_io { Hive::Commands::Approve.new(inbox, force: true).call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "2-brainstorm", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "2-brainstorm", slug))
       end
     end
   end
@@ -244,7 +244,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -257,7 +257,7 @@ class RunApproveTest < Minitest::Test
           end
         end
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug)),
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug)),
                "slug lookup must resolve via the registered project, not the cwd-shadow"
       end
     end
@@ -271,7 +271,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -279,7 +279,7 @@ class RunApproveTest < Minitest::Test
         # A *different* sibling folder pre-occupies the destination — not a
         # same-project leftover at the slug level (that would trigger the
         # ambiguity branch).
-        FileUtils.mkdir_p(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        FileUtils.mkdir_p(File.join(dir, ".hive", "stages", "3-plan", slug))
 
         _, err, status = with_captured_exit { Hive::Commands::Approve.new(brainstorm).call }
         assert_equal Hive::ExitCodes::GENERIC, status
@@ -293,7 +293,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(File.dirname(execute_dir))
         FileUtils.mv(inbox, execute_dir)
         write_marker(execute_dir, :error, reason: "agent_crashed")
@@ -309,13 +309,13 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(File.dirname(execute_dir))
         FileUtils.mv(inbox, execute_dir)
         write_marker(execute_dir, :error, reason: "agent_crashed")
 
         capture_io { Hive::Commands::Approve.new(slug, to: "3-plan").call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug))
       end
     end
   end
@@ -324,7 +324,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        done = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(File.dirname(done))
         FileUtils.mv(inbox, done)
         write_marker(done, :complete)
@@ -343,17 +343,17 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
 
         # First call advances 2-brainstorm -> 3-plan.
         capture_io { Hive::Commands::Approve.new(slug, from: "2-brainstorm").call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug))
 
         # Naive retry that re-passes --from <previous-stage> must fail loudly.
-        write_marker(File.join(dir, ".hive-state", "stages", "3-plan", slug), :complete)
+        write_marker(File.join(dir, ".hive", "stages", "3-plan", slug), :complete)
         _, err, status = with_captured_exit { Hive::Commands::Approve.new(slug, from: "2-brainstorm").call }
         assert_equal Hive::ExitCodes::WRONG_STAGE, status
         assert_includes err, "but --from expected 2-brainstorm"
@@ -365,13 +365,13 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
 
         capture_io { Hive::Commands::Approve.new(slug, from: "brainstorm").call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        assert File.directory?(File.join(dir, ".hive", "stages", "3-plan", slug))
       end
     end
   end
@@ -393,7 +393,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -409,7 +409,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -429,7 +429,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -487,7 +487,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        pr_dir = File.join(dir, ".hive-state", "stages", "7-finalize", slug)
+        pr_dir = File.join(dir, ".hive", "stages", "7-finalize", slug)
         FileUtils.mkdir_p(File.dirname(pr_dir))
         FileUtils.mv(inbox, pr_dir)
         write_marker(pr_dir, :complete)
@@ -505,7 +505,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -541,7 +541,7 @@ class RunApproveTest < Minitest::Test
           capture_io { Hive::Commands::Init.new(dir2).call }
           slug = "shared-slug-260424-aaaa"
           [ dir1, dir2 ].each do |d|
-            FileUtils.mkdir_p(File.join(d, ".hive-state", "stages", "1-inbox", slug))
+            FileUtils.mkdir_p(File.join(d, ".hive", "stages", "1-inbox", slug))
           end
 
           out, _err, status = with_captured_exit do
@@ -564,7 +564,7 @@ class RunApproveTest < Minitest::Test
             assert_equal %w[folder project stage], candidate.keys.sort,
                          "each candidate must have project / stage / folder"
             assert_equal "1-inbox", candidate["stage"]
-            assert candidate["folder"].end_with?("/.hive-state/stages/1-inbox/#{slug}"),
+            assert candidate["folder"].end_with?("/.hive/stages/1-inbox/#{slug}"),
                    "candidate folder must point at the actual hit"
           end
           assert_equal [ File.basename(dir1), File.basename(dir2) ].sort,
@@ -578,11 +578,11 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
-        FileUtils.mkdir_p(File.join(dir, ".hive-state", "stages", "3-plan", slug))
+        FileUtils.mkdir_p(File.join(dir, ".hive", "stages", "3-plan", slug))
 
         out, _err, status = with_captured_exit { Hive::Commands::Approve.new(brainstorm, json: true).call }
         assert_equal Hive::ExitCodes::GENERIC, status
@@ -599,7 +599,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        done = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(File.dirname(done))
         FileUtils.mv(inbox, done)
         write_marker(done, :complete)
@@ -622,7 +622,7 @@ class RunApproveTest < Minitest::Test
       with_tmp_git_repo do |dir|
         # Set up the task being approved.
         _, inbox, slug = seed_project_with_inbox_task(dir, text: "primary task")
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -630,14 +630,14 @@ class RunApproveTest < Minitest::Test
         # Plant an UNRELATED dirty file under the same source-stage directory.
         # If the commit scopes to slug paths only, this should NOT be in the
         # resulting commit.
-        sibling = File.join(dir, ".hive-state", "stages", "2-brainstorm", "sibling-trash-260424-bbbb")
+        sibling = File.join(dir, ".hive", "stages", "2-brainstorm", "sibling-trash-260424-bbbb")
         FileUtils.mkdir_p(sibling)
         File.write(File.join(sibling, "scratch.md"), "I should not be in the approve commit\n")
 
         capture_io { Hive::Commands::Approve.new(slug).call }
 
         # Inspect the commit. The sibling's path must NOT appear.
-        files_in_commit = `git -C #{File.join(dir, ".hive-state")} show --pretty= --name-only HEAD`.lines.map(&:strip)
+        files_in_commit = `git -C #{File.join(dir, ".hive")} show --pretty= --name-only HEAD`.lines.map(&:strip)
         refute_includes files_in_commit, "stages/2-brainstorm/sibling-trash-260424-bbbb/scratch.md",
                         "approve commit must scope to the slug, not sweep stage-level neighbours"
       end
@@ -648,14 +648,14 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
 
         capture_io { Hive::Commands::Approve.new(slug).call }
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
-        files_in_commit = `git -C #{File.join(dir, ".hive-state")} show --pretty= --name-only HEAD`.lines.map(&:strip)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
+        files_in_commit = `git -C #{File.join(dir, ".hive")} show --pretty= --name-only HEAD`.lines.map(&:strip)
         refute_includes files_in_commit, "stages/3-plan/#{slug}/.lock",
                         "the per-process .lock file must not be committed"
         refute File.exist?(File.join(plan, ".lock")),
@@ -667,7 +667,7 @@ class RunApproveTest < Minitest::Test
   # ── Symlink hardening ───────────────────────────────────────────────────
 
   def test_symlink_target_outside_hive_state_is_rejected
-    # A slug-named symlink at .hive-state/stages/<N>/<slug> pointing outside
+    # A slug-named symlink at .hive/stages/<N>/<slug> pointing outside
     # the hive-state hierarchy must be rejected via realpath. Otherwise an
     # attacker who can write into stages/ could trick approve into mv'ing
     # an arbitrary external directory.
@@ -677,7 +677,7 @@ class RunApproveTest < Minitest::Test
         Dir.mktmpdir("decoy-target") do |external|
           File.write(File.join(external, "decoy.md"), "should never be touched")
           slug = "evil-symlink-260424-abcd"
-          symlink_path = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+          symlink_path = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
           FileUtils.mkdir_p(File.dirname(symlink_path))
           File.symlink(external, symlink_path)
 
@@ -701,7 +701,7 @@ class RunApproveTest < Minitest::Test
         seed_project_with_inbox_task(dir)
         Dir.mktmpdir("external") do |external|
           slug = "evil-link-260424-abcd"
-          link_path = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+          link_path = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
           FileUtils.mkdir_p(File.dirname(link_path))
           File.symlink(external, link_path)
 
@@ -723,7 +723,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -731,7 +731,7 @@ class RunApproveTest < Minitest::Test
         # Stub File.exist? to lie on the pre-check (so we reach the rescue
         # rather than the early-exit), then create a non-empty dir at the
         # destination so File.rename raises ENOTEMPTY.
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(plan)
         File.write(File.join(plan, "stale.md"), "concurrent process left this")
 
@@ -769,7 +769,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -793,7 +793,7 @@ class RunApproveTest < Minitest::Test
 
         # Filesystem rolled back: source restored, destination gone.
         assert File.directory?(brainstorm), "source must be restored on rollback"
-        refute File.exist?(File.join(dir, ".hive-state", "stages", "3-plan", slug)),
+        refute File.exist?(File.join(dir, ".hive", "stages", "3-plan", slug)),
                "destination must be cleaned up on rollback"
 
         # Error message names the rollback so a human / agent operator can
@@ -813,7 +813,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
@@ -839,7 +839,7 @@ class RunApproveTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _, inbox, slug = seed_project_with_inbox_task(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         write_marker(brainstorm, :complete)
diff --git a/test/integration/run_brainstorm_test.rb b/test/integration/run_brainstorm_test.rb
index 7482b30..e6f9a3f 100644
--- a/test/integration/run_brainstorm_test.rb
+++ b/test/integration/run_brainstorm_test.rb
@@ -26,8 +26,8 @@ class RunBrainstormTest < Minitest::Test
       Hive::Commands::Init.new(dir).call
       Hive::Commands::New.new(project, "test brainstorm").call
     end
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
-    target = File.join(dir, ".hive-state", "stages", "2-brainstorm", File.basename(inbox))
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
+    target = File.join(dir, ".hive", "stages", "2-brainstorm", File.basename(inbox))
     FileUtils.mv(inbox, target)
     target
   end
@@ -45,7 +45,7 @@ class RunBrainstormTest < Minitest::Test
         assert File.exist?(brainstorm_md), "brainstorm.md should be written"
         marker = Hive::Markers.current(brainstorm_md)
         assert_equal :waiting, marker.name
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{\Ahive: 2-brainstorm/.* round_waiting\z}, log)
       end
     end
@@ -93,7 +93,7 @@ class RunBrainstormTest < Minitest::Test
           Hive::Commands::Init.new(dir).call
           Hive::Commands::New.new(File.basename(dir), "no run inbox").call
         end
-        inbox_task = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+        inbox_task = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
         _, err, status = with_captured_exit { Hive::Commands::Run.new(inbox_task).call }
         assert_equal Hive::ExitCodes::WRONG_STAGE, status,
                      "1-inbox is inert; running it must raise WrongStage (exit 4)"
diff --git a/test/integration/run_brainstorm_tmux_test.rb b/test/integration/run_brainstorm_tmux_test.rb
index 8a45498..8ee17d2 100644
--- a/test/integration/run_brainstorm_tmux_test.rb
+++ b/test/integration/run_brainstorm_tmux_test.rb
@@ -42,7 +42,7 @@ class RunBrainstormTmuxTest < Minitest::Test
 
         marker = Hive::Markers.current(File.join(folder, "brainstorm.md"))
         assert_equal :waiting, marker.name
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{\Ahive: 2-brainstorm/.* round_waiting\z}, log)
         assert_empty tmux_sessions
         refute File.exist?(File.join(folder, ".claude", "settings.json"))
@@ -62,7 +62,7 @@ class RunBrainstormTmuxTest < Minitest::Test
         capture_io { Hive::Commands::Run.new(folder).call }
 
         assert_equal :complete, Hive::Markers.current(File.join(folder, "brainstorm.md")).name
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{\Ahive: 2-brainstorm/.* complete\z}, log)
         assert_empty tmux_sessions
       end
@@ -217,14 +217,14 @@ class RunBrainstormTmuxTest < Minitest::Test
       Hive::Commands::Init.new(dir).call
       Hive::Commands::New.new(project, "test brainstorm").call
     end
-    config_path = File.join(dir, ".hive-state", "config.yml")
+    config_path = File.join(dir, ".hive", "config.yml")
     cfg = YAML.safe_load(File.read(config_path))
     cfg["brainstorm"]["runtime"] = "tmux_interactive"
     cfg["timeout_sec"]["brainstorm"] = timeout
     File.write(config_path, cfg.to_yaml)
 
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
-    target = File.join(dir, ".hive-state", "stages", "2-brainstorm", File.basename(inbox))
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
+    target = File.join(dir, ".hive", "stages", "2-brainstorm", File.basename(inbox))
     FileUtils.mv(inbox, target)
     target
   end
diff --git a/test/integration/run_done_test.rb b/test/integration/run_done_test.rb
index 4108ca9..844c7a5 100644
--- a/test/integration/run_done_test.rb
+++ b/test/integration/run_done_test.rb
@@ -12,7 +12,7 @@ class RunDoneTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "feat-x-260424-aaaa"
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(done_dir)
         File.write(File.join(done_dir, "task.md"), "## work\n<!-- EXECUTE_COMPLETE -->\n")
         File.write(File.join(done_dir, "worktree.yml"),
@@ -30,7 +30,7 @@ class RunDoneTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "feat-y-260424-aaaa"
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(done_dir)
         out, _err = capture_io { Hive::Commands::Run.new(done_dir).call }
         assert_includes out, "archived"
@@ -47,7 +47,7 @@ class RunDoneTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "feat-json-260424-aaaa"
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(done_dir)
         File.write(File.join(done_dir, "task.md"), "## work\n<!-- EXECUTE_COMPLETE -->\n")
         File.write(File.join(done_dir, "worktree.yml"),
@@ -81,7 +81,7 @@ class RunDoneTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "feat-json-archived-260424-aaaa"
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(done_dir)
 
         out, _err = capture_io { Hive::Commands::Run.new(done_dir, json: true).call }
@@ -103,7 +103,7 @@ class RunDoneTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "feat-human-260424-aaaa"
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(done_dir)
         File.write(File.join(done_dir, "task.md"), "## work\n<!-- EXECUTE_COMPLETE -->\n")
         File.write(File.join(done_dir, "worktree.yml"),
